yetus-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Wang (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YETUS-445) Incorporate check_compatibility that runs Java API Compliance Checker
Date Wed, 24 Aug 2016 16:25:20 GMT

    [ https://issues.apache.org/jira/browse/YETUS-445?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15435205#comment-15435205
] 

Andrew Wang commented on YETUS-445:
-----------------------------------

You can install argparse via pip even for Python 2.6, is that okay? We already require third
party modules for RDM for instance.

FWIW conda also makes it easy to install 2.7 on any machine. I've used it successfully on
RHEL6, which is the main offender.

> Incorporate check_compatibility that runs Java API Compliance Checker
> ---------------------------------------------------------------------
>
>                 Key: YETUS-445
>                 URL: https://issues.apache.org/jira/browse/YETUS-445
>             Project: Yetus
>          Issue Type: New Feature
>    Affects Versions: 0.3.0
>            Reporter: Andrew Wang
>            Assignee: Andrew Wang
>         Attachments: YETUS-445.001.patch, YETUS-445.002.patch, YETUS-445.003.patch
>
>
> Kudu has a check_compatibility.py script which runs Java ACC to determine API changes
between releases. HBase has a similar script written in bash, and there's also demand for
using this in Hadoop.
> Rather than having this script in 3 different places, it'd be nice if it was maintained
in Yetus instead. We can bring in the Kudu version as a starting point:
> https://github.com/apache/kudu/blob/master/build-support/check_compatibility.py



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message